summaryrefslogtreecommitdiffstats
path: root/games/gnugo
diff options
context:
space:
mode:
author Mark Saiia <mark.saiia@gmail.com>2010-05-11 14:28:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:28:18 +0200
commitdb40c228c77ed083d37f306efe4a8eefed91785a (patch)
tree4b12084e7b7c362e81101e11a5ea78c964f317b8 /games/gnugo
parent0d9c2dd8ec6fb706d2b068a9efae868b2e19e357 (diff)
downloadslackbuilds-db40c228c77ed083d37f306efe4a8eefed91785a.tar.gz
slackbuilds-db40c228c77ed083d37f306efe4a8eefed91785a.tar.xz
games/gnugo: Initial import
Diffstat (limited to 'games/gnugo')
-rw-r--r--games/gnugo/README7
-rw-r--r--games/gnugo/gnugo.SlackBuild62
-rw-r--r--games/gnugo/gnugo.info8
-rw-r--r--games/gnugo/slack-desc11
4 files changed, 88 insertions, 0 deletions
diff --git a/games/gnugo/README b/games/gnugo/README
new file mode 100644
index 0000000000..ea21969705
--- /dev/null
+++ b/games/gnugo/README
@@ -0,0 +1,7 @@
+GNU Go is a free program that plays the game of Go.
+GNU Go has played thousands of games on the NNGS Go server. GNU Go is
+now also playing regularly on the Legend Go Server in Taiwan, on the
+WING server in Japan, and many volunteers run GNU Go clients on KGS.
+GNU Go has established itself as the leading non-commercial go program
+in the recent tournaments that it has taken part in.
+
diff --git a/games/gnugo/gnugo.SlackBuild b/games/gnugo/gnugo.SlackBuild
new file mode 100644
index 0000000000..ee6aad2d77
--- /dev/null
+++ b/games/gnugo/gnugo.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for gnugo
+
+# Written by Mark Saiia mark.saiia@gmail.com
+# Slightly modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=gnugo
+VERSION=3.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README THANKS TODO WINDOWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/gnugo/gnugo.info b/games/gnugo/gnugo.info
new file mode 100644
index 0000000000..b73cd4e265
--- /dev/null
+++ b/games/gnugo/gnugo.info
@@ -0,0 +1,8 @@
+PRGNAME="gnugo"
+VERSION="3.6"
+HOMEPAGE="http://www.gnu.org/software/gnugo/gnugo.html"
+DOWNLOAD="http://ftp.gnu.org/gnu/gnugo/gnugo-3.6.tar.gz"
+MD5SUM="53abc7427d89d81155c8bfc8e005c47f"
+MAINTAINER="Mark Saiia"
+EMAIL="mark.saiia@gmail.com"
+APPROVED="BP{k}"
diff --git a/games/gnugo/slack-desc b/games/gnugo/slack-desc
new file mode 100644
index 0000000000..a8d354b9ed
--- /dev/null
+++ b/games/gnugo/slack-desc
@@ -0,0 +1,11 @@
+gnugo: GNU Go is a free program that plays the game of Go.
+gnugo:
+gnugo: GNU Go has played thousands of games on the NNGS Go server. GNU Go is
+gnugo: now also playing regularly on the Legend Go Server in Taiwan, on the
+gnugo: WING server in Japan, and many volunteers run GNU Go clients on KGS.
+gnugo: GNU Go has established itself as the leading non-commercial go program
+gnugo: in the recent tournaments that it has taken part in.
+gnugo:
+gnugo:
+gnugo: http://www.gnu.org/software/gnugo/gnugo.html
+gnugo: